Skip to main content
GET
/
v1
/
batches
List batches
curl --request GET \
  --url https://sdk.nimbleway.com/v1/batches \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "69c41d24-cc43-4ffa-b225-d46a8599ec4e",
      "account_name": "account_name",
      "completed": false,
      "created_at": "2026-03-24T14:27:57.642Z",
      "tasks": [
        "afe1af62-a361-4df0-ba30-126842aba6d2",
        "e42562aa-45fc-404b-a088-616fbf1daeb2"
      ],
      "username": "admin"
    },
    {
      "id": "31f260da-237a-4f6f-adbd-528f37d0e3e0",
      "account_name": "account_name",
      "completed": false,
      "created_at": "2026-03-24T14:28:17.003Z",
      "tasks": [
        "58821233-9b4c-43de-b4ba-816a8f053e1f",
        "7f6c6d61-fbc1-4bc1-abc1-211b28c38927"
      ],
      "username": "admin"
    }
  ],
  "pagination": {
    "has_next": false,
    "next_cursor": null,
    "total": 2
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of batches returned successfully

List of batches.

data
object[]
required

List of batches.

pagination
object
required